View Issue Details

IDProjectCategoryView StatusLast Update
0000468Far Manager 1.7xPanel.QViewpublic2008-03-13 12:15
ReporterNightRomanAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000468: Закрытие быстрого просмотра папок вызывает VE_CLOSE (без VE_READ)
DescriptionЗакрытие панели быстрого просмотра *папки* вызывает событие *вьюера* VE_CLOSE. Этого, кажется, быть не должно.

Даже если это фича (смысл?), то тогда должно и событие VE_READ происходить, а то получается дисбаланс (в плане выделения\освобождения ресурсов и прочей кухни, которая по природе два таких события подразумевает).
TagsNo tags attached.
Build2322

Activities

alexy

2008-03-10 20:12

administrator   bugnote:0001270

Тут типа 2 бага:
1. То что qview вообще создаёт объект въювера при просмотре папки.
2. То что в деструкторе посылается VE_CLOSE хотя никакого файла открыто небыло (похожий баг уже в редакторе правили).

alexmitin

2008-03-10 22:15

reporter   bugnote:0001271

В "Quick view" есть еще одна проблема:

Для папок QuickView::DisplayObject() вызывается 4 раза.

  1-й раз вызывается как для файлов: Directory==0
  2-й, 3-й и 4-й разы как для папок: Directory != 0


Для файлов QuickView::DisplayObject() выывается только один раз.

alexy

2008-03-11 06:07

administrator   bugnote:0001272

Про DisplayObject открой новый тикет, это надо смотреть, может и не баг вообще.

alexy

2008-03-11 06:38

administrator   bugnote:0001274

Fixed.
1.71 - 2322
1.80 - 430

alexy

2008-03-11 09:40

administrator   bugnote:0001276

Можно проверить вот тут
http://farmanager.com/farbugs/far171.b2322.x86.rar

Issue History

Date Modified Username Field Change
2008-02-07 12:54 NightRoman New Issue
2008-03-10 20:12 alexy Note Added: 0001270
2008-03-10 20:13 alexy Status new => assigned
2008-03-10 20:13 alexy Assigned To => alexy
2008-03-10 22:15 alexmitin Note Added: 0001271
2008-03-11 06:07 alexy Note Added: 0001272
2008-03-11 06:38 alexy Note Added: 0001274
2008-03-11 06:38 alexy Status assigned => feedback
2008-03-11 09:40 alexy Note Added: 0001276
2008-03-13 12:14 alexy Build => 2322
2008-03-13 12:14 alexy Status feedback => closed
2008-03-13 12:15 alexy Resolution open => fixed
2008-03-13 12:15 alexy Fixed in Version => 1.71